Linux – Installing Nvidia drivers on Red Hat

driverslinuxnvidia-graphics-cardredhat-enterprise-linuxrhel-6

I wanted to install Nvidia drivers.

Can you tell me why the following is not working :

[root@INEICP-EPM-W134 Downloads]# rpm -Uvh XFree86-4.3.0-35.EL.src.rpm 
warning: XFree86-4.3.0-35.EL.src.rpm: Header V3 DSA/SHA1 Signature, key ID db42a60e: NOKEY
   1:XFree86                ########################################### [100%]

[root@INEICP-EPM-W134 Downloads]# rpm -i NVIDIA_GLX-1.0-2880.i386.rpm 
error: Failed dependencies:
    XFree86 >= 4.0.1 is needed by NVIDIA_GLX-1.0-2880.i386
    NVIDIA_kernel is needed by NVIDIA_GLX-1.0-2880.i386
    ld-linux.so.2 is needed by NVIDIA_GLX-1.0-2880.i386
    libc.so.6 is needed by NVIDIA_GLX-1.0-2880.i386
    libdl.so.2 is needed by NVIDIA_GLX-1.0-2880.i386
    libm.so.6 is needed by NVIDIA_GLX-1.0-2880.i386
    libX11.so.6 is needed by NVIDIA_GLX-1.0-2880.i386
    libXext.so.6 is needed by NVIDIA_GLX-1.0-2880.i386
    libdl.so.2(GLIBC_2.0) is needed by NVIDIA_GLX-1.0-2880.i386
    libdl.so.2(GLIBC_2.1) is needed by NVIDIA_GLX-1.0-2880.i386

Why am I getting XFree86 >= 4.0.1 is needed by NVIDIA_GLX-1.0-2880.i386 even after I have installed Xfree ? Is my installation of Xfree not correct ?

I get :

root@INEICP-EPM-W134 Downloads]# X -version

X.Org X Server 1.10.4
Release Date: 2011-08-19
X Protocol Version 11, Revision 0
Build Operating System: x86-004 2.6.18-274.3.1.el5 
Current Operating System: Linux INEICP-EPM-W134 2.6.32-220.el6.x86_64 #1 SMP Wed Nov 9 08:03:13 EST 2011 x86_64
Kernel command line: ro root=UUID=d3a4df51-ed55-4e48-a17d-4235cecd9a9d nomodeset rd_NO_LUKS  KEYBOARDTYPE=pc KEYTABLE=us LANG=en_US.UTF-8 rd_NO_MD quiet SYSFONT=latarcyrheb-sun16 rhgb crashkernel=128M rd_NO_LVM rd_NO_DM
Build Date: 20 October 2011  12:03:36PM
Build ID: xorg-x11-server 1.10.4-6.el6 
Current version of pixman: 0.18.4
    Before reporting problems, check https://www.redhat.com/apps/support/
    to make sure that you have the latest version.

when I do X -version